<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\Homework\HomeworkId;
use DomainException;

use function sprintf;

final class HomeworkNotFoundException extends DomainException
{
    public static function withId(HomeworkId $id): self
    {
        return new self(sprintf(
            'Le devoir avec l\'ID "%s" n\'a pas été trouvé.',
            $id,
        ));
    }
}
